## org.apache.lucene.benchmark.byTask.tasks
Class CreateIndexTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.CreateIndexTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class CreateIndexTask

extends PerfTask

Create an index.
Other side effects: index writer object in perfRunData is set.
Relevant properties: `merge.factor, max.buffered, max.field.length, ram.flush.mb [default 0], autocommit [default true]`.

This task also supports a "writer.info.stream" property with the following values:

- SystemOut - sets `IndexWriter.setInfoStream(java.io.PrintStream)` to `System.out`.
- SystemErr - sets `IndexWriter.setInfoStream(java.io.PrintStream)` to `System.err`.
- <file_name> - attempts to create a file given that name and sets `IndexWriter.setInfoStream(java.io.PrintStream)` to that file. If this denotes an invalid file name, or some error occurs, an exception will be thrown.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`CreateIndexTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`static org.apache.lucene.index.IndexDeletionPolicy` `getIndexDeletionPolicy(Config config)`
`static void` `setIndexWriterConfig(org.apache.lucene.index.IndexWriter writer, Config config)`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setup, shouldNeverLogAtStart, shouldNotRecordStats, supportsParams, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateIndexTask

    public CreateIndexTask(PerfRunData runData)

Method Detail

### setIndexWriterConfig

    public static void setIndexWriterConfig(org.apache.lucene.index.IndexWriter writer,
                                            Config config)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIndexDeletionPolicy

    public static org.apache.lucene.index.IndexDeletionPolicy getIndexDeletionPolicy(Config config)

### doLogic

    public int doLogic()
                throws java.io.IOException

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.